Bug 1814894 - [abrt] gnome-initial-setup: iris_format_for_usage(): gnome-initial-setup killed by SIGSEGV
Summary: [abrt] gnome-initial-setup: iris_format_for_usage(): gnome-initial-setup kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7288488b3a744ace3e053a882c9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 00:02 UTC by Ahmed M. Farrag
Modified: 2021-05-25 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 15:48:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (106.38 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: core_backtrace (44.00 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: cpuinfo (2.33 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: dso_list (46.69 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: environ (1.10 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: exploitable (82 bytes, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: maps (157.91 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: mountinfo (2.49 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: open_fds (3.26 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-03-19 00:02 UTC, Ahmed M. Farrag
no flags Details

Description Ahmed M. Farrag 2020-03-19 00:02:36 UTC
Version-Release number of selected component:
gnome-initial-setup-3.36.0-1.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-initial-setup-first-login.service
cmdline:        /usr/libexec/gnome-initial-setup --existing-user
crash_function: iris_format_for_usage
executable:     /usr/libexec/gnome-initial-setup
journald_cursor: s=6db2d426a62c4c6d94ad7384e3cfef08;i=c2c;b=1df7485e33b74a2e9e6860898e0409a3;m=c6d8bbd;t=5a1298557db97;x=a17dc12f6efc6716
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 iris_format_for_usage at ../src/gallium/drivers/iris/iris_formats.c:357
 #1 modifier_is_supported at ../src/gallium/drivers/iris/iris_resource.c:82
 #3 iris_query_dmabuf_modifiers at ../src/gallium/drivers/iris/iris_resource.c:179
 #4 dri2_query_dma_buf_modifiers at ../src/gallium/state_trackers/dri/dri2.c:1400
 #6 eglQueryDmaBufModifiersEXT at ../src/egl/main/eglapi.c:2605
 #7 WS::Instance::foreachDmaBufModifier(std::function<void (int, unsigned long)>) at /usr/src/debug/wpebackend-fdo-1.4.1-1.fc32.x86_64/src/ws.cpp:534
 #8 bind_linux_dmabuf at /usr/include/c++/10/new:175
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:525
 #11 wl_closure_invoke at src/connection.c:1018

Comment 1 Ahmed M. Farrag 2020-03-19 00:02:39 UTC
Created attachment 1671277 [details]
File: backtrace

Comment 2 Ahmed M. Farrag 2020-03-19 00:02:41 UTC
Created attachment 1671278 [details]
File: core_backtrace

Comment 3 Ahmed M. Farrag 2020-03-19 00:02:42 UTC
Created attachment 1671279 [details]
File: cpuinfo

Comment 4 Ahmed M. Farrag 2020-03-19 00:02:43 UTC
Created attachment 1671280 [details]
File: dso_list

Comment 5 Ahmed M. Farrag 2020-03-19 00:02:45 UTC
Created attachment 1671281 [details]
File: environ

Comment 6 Ahmed M. Farrag 2020-03-19 00:02:46 UTC
Created attachment 1671282 [details]
File: exploitable

Comment 7 Ahmed M. Farrag 2020-03-19 00:02:47 UTC
Created attachment 1671283 [details]
File: limits

Comment 8 Ahmed M. Farrag 2020-03-19 00:02:49 UTC
Created attachment 1671284 [details]
File: maps

Comment 9 Ahmed M. Farrag 2020-03-19 00:02:50 UTC
Created attachment 1671285 [details]
File: mountinfo

Comment 10 Ahmed M. Farrag 2020-03-19 00:02:51 UTC
Created attachment 1671286 [details]
File: open_fds

Comment 11 Ahmed M. Farrag 2020-03-19 00:02:52 UTC
Created attachment 1671287 [details]
File: proc_pid_status

Comment 12 Fedora Program Management 2021-04-29 16:14:52 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2021-05-25 15:48:23 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.